46
Talon of the Meteor
Claw
1
Weapon
Hand
6
21
0
0
0
Damage: 17; Energy: 5; Accuracy: 10 (S)
1
Brucian
82
\system\apps\Xsidus\XSIDUS_BRUCIAN_2H_SHORTCLAW.MBM
\system\apps\Xsidus\XSIDUS_BRUCIAN_2H_SHORTCLAW_M.MBM
items\ani_ini\brucian\weapon\brucian_shortclaw_ani.ini